using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace DeepDrftData.Migrations
{
    /// <inheritdoc />
    public partial class AddReleaseTypeAndTrackNumber : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<string>(
                name: "release_type",
                table: "track",
                type: "character varying(20)",
                maxLength: 20,
                nullable: false,
                defaultValue: "Single");

            migrationBuilder.AddColumn<int>(
                name: "track_number",
                table: "track",
                type: "integer",
                nullable: false,
                defaultValue: 1);
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "release_type",
                table: "track");

            migrationBuilder.DropColumn(
                name: "track_number",
                table: "track");
        }
    }
}
